Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(512)

Unified Diff: tests/abandon.sh

Issue 122040: Refactor the unit tests. (Closed)
Patch Set: even more cleanup Created 11 years, 6 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « tests/__init__.py ('k') | tests/basic.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tests/abandon.sh
diff --git a/tests/abandon.sh b/tests/abandon.sh
deleted file mode 100755
index b964059b0cd6ac9d7f3a8c151b2b57396a71627b..0000000000000000000000000000000000000000
--- a/tests/abandon.sh
+++ /dev/null
@@ -1,41 +0,0 @@
-#!/bin/bash
-
-# Check that abandoning a branch also abandons its issue.
-
-set -e
-
-. ./test-lib.sh
-
-setup_initsvn
-setup_gitsvn
-
-(
- set -e
- cd git-svn
- git config rietveld.server localhost:8080
-
- # Create a branch and give it an issue.
- git checkout -q -b abandoned
- echo "some work done on a branch" >> test
- git add test; git commit -q -m "branch work"
- export EDITOR=/bin/true
- test_expect_success "upload succeeds" \
- "$GIT_CL upload -m test master... | grep -q 'Issue created'"
-
- # Switch back to master, delete the branch.
- git checkout master
- git branch -D abandoned
-
- # Verify that "status" doesn't know about it anymore.
- # The "exit" trickiness is inverting the exit status of grep.
- test_expect_success "git-cl status dropped abandoned branch" \
- "$GIT_CL status | grep -q abandoned && exit 1 || exit 0"
-)
-
-SUCCESS=$?
-
-cleanup
-
-if [ $SUCCESS == 0 ]; then
- echo PASS
-fi
« no previous file with comments | « tests/__init__.py ('k') | tests/basic.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698